function [W]=DrawingBox(V)
%
% Функция DrawingBox выбирает брус отрисовки W, так 
% чтобы он содержал  точки - строки матрицы V.

%% Во всех матрицах первый столбец - абсцисса, второй - ордината.

   % интервальная оболочка точек из V

   ihV=[min(V(:,1)) min(V(:,2)); max(V(:,1)) max(V(:,2))];
   center=[(ihV(1,1)+ihV(2,1))/2 (ihV(1,2)+ihV(2,2))/2];
   radius=[(ihV(2,1)-ihV(1,1))/2 (ihV(2,2)-ihV(1,2))/2];
   rm=max(radius);

   % выбор бруса отрисовки W чуть шире интервальной оболочки и
   % в зависимости от наличия у интервальной оболочки вырожденных компонент 

   if isequal(ihV(1,:),ihV(2,:))   % все компоненты вырождены
      W=[center(1)-1 center(2)-1; center(1)+1 center(2)+1];
   elseif all(ihV(1,:)<ihV(2,:))   % все компоненты невырождены
      W=ihV+.2*[-radius; radius];
   else                            % одна компонента вырождена
      W=[center(1)-1.2*rm  center(2)-1.2*rm ; center(1)+1.2*rm  center(2)+1.2*rm];
   end

end